﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace Sample_KendoGrid.Models.DAO
{
    public class SampleDao
    {
        DataContext dactx = new DataContext();
        public IEnumerable<PaymentLU> GetActivePaymentType()
        {
            var list = from b in dactx.PaymentLU
                       select b;
            var i = list.Count();
            return dactx.PaymentLU.ToList().OrderBy(u => u.PaymentType);

        }

        public List<PayLI> GetPayLIList(string PaymentTypeID)
        {
            int PayTypeID = Val(PaymentTypeID);
            var PayLI = from li in dactx.PayLI
                        where li.PaymentTypeID == PayTypeID
                        select li;
            return PayLI.ToList();
        }

        public int Val(string value)
        {
            int val = 0;
            if (value != null && value != string.Empty)
            {
                val = Convert.ToInt32(value);
            }
            return val;
        }
        public IEnumerable<SampleModel> PaymentList()
        {
            // return bsctx.Client.ToList().Where(C => C.Active == true && C.ClientID == HMS.Common.BSPrincipals.Current.Identity.ClientID); ;
            return dactx.SampleModel.ToList().OrderBy(C => C.PayDetailsID);

        }

        public List<card> GetcardType()
        {
           return dactx.card.ToList();
        }
    }
}