﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using Sample_KendoGrid.Models;
using Sample_KendoGrid.Models.DAO;
using Kendo.Mvc.Extensions;
using Kendo.Mvc.UI;
using System.Data;
using System.Data.SqlClient;
using System.Configuration;
using System.Data.Entity;


namespace Sample_KendoGrid.Controllers
{
    public class SampleController : Controller
    {
        //
        // GET: /Sample/
        SampleDao sampledao = new SampleDao();
        DataContext dactxn = new DataContext();
        public ActionResult Index()
        {
            ViewData["CardType"] = sampledao.GetcardType();
            return View(new Payment
                {
                    SampleModel = new List<SampleModel>()
                    
                });
        }

        public ActionResult GetPaymentType()
        {
            try
            {
                return Json(sampledao.GetActivePaymentType(), JsonRequestBehavior.AllowGet);
            }
            catch 
            {
                return View("Index", "Sample");
            }
        }

        public ActionResult GetPayTypeList([DataSourceRequest] DataSourceRequest request, string PaymentTypeID)
        {
            try
            {
                Payment payment = new Payment();
                if (!string.IsNullOrEmpty(PaymentTypeID))
                {
                    List<PayLI> PayLIList = sampledao.GetPayLIList(PaymentTypeID).ToList();
                    for (int i = 0; i < PayLIList.Count(); i++)
                    {
                        SampleModel efy = new SampleModel();
                        efy.PayLineItemID = PayLIList[i].PayLineItemID;
                        efy.PayLineItemName = PayLIList[i].PayLineItemName;

                        payment.SampleModel.Add(efy);
                    }
                }
               
              
                //return Json(lstrfy);             
                return Json(payment.SampleModel.ToDataSourceResult(request));
            }
            catch 
            {
               
                return RedirectToAction("Index", "Sample");
            }
        }


        [HttpPost]
        public ActionResult Index(Payment model)
        {

            return RedirectToAction("Index", "Sample");
        }

    }
}
